Bug 169585 - CAN-2005-3011 texindex insecure temporary file usage
CAN-2005-3011 texindex insecure temporary file usage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texinfo (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
impact=low,source=cve,public=20000209...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-29 17:01 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 06:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-29 17:01:40 EDT
+++ This bug was initially created as a clone of Bug #169583 +++

The texindex command uses predictable temporary filenames.  This could allow a
rogue local user to create a symlink which would cause texindex to overwrite
various files the user running texindex has write access to.

There is more informatin in the Debian bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=328365

No patch exists yet.


This issue seems to be mitigated by the fact that texindex will only use a
temporary file when the file being processed is over 50,000 lines.
Comment 1 Josh Bressers 2005-09-29 17:03:00 EDT
This issue should also affect FC3
Comment 3 Fedora Update System 2005-10-14 11:58:03 EDT
From User-Agent: XML-RPC

texinfo-4.8-4.1 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.